Ticket #1287 (closed defect: fixed)

Opened 5 years ago

Last modified 5 years ago

cave issues warning package not having USE flag for ebuild with use-conditional licenses

Reported by: dev-zero Owned by:
Priority: Sometime Milestone:
Component: clients/cave Version: 1.4.1
Keywords: Cc:
Blocked By: Blocking:
Distribution: Gentoo

Description

With the following license specification (in nginx-1.4.2-r1.ebuild)

LICENSE="BSD-2 BSD SSLeay MIT GPL-2 GPL-2+

nginx_modules_http_security? ( Apache-2.0 ) nginx_modules_http_push_stream? ( GPL-3 )"

I get:

cave@1380622548: [WARNING elike_conditional_dep_spec.query] In thread ID '8058':

... In program cave perform install --hooks --managed-output --output-exclusivity with-others =www-servers/nginx-1.4.2-r1:0::gentoo --destination installed --replacing =www-servers/nginx-1.4.2-r1:0::installed --x-of-y 1 of 1: ... When installing 'www-servers/nginx-1.4.2-r1:0::gentoo' replacing { 'www-servers/nginx-1.4.2-r1:0::installed' }: ... When making Choices key for 'www-servers/nginx-1.4.2-r1:0::gentoo': ... When using raw_iuse_key and raw_use_key to populate choices: ... When generating masks for ID 'www-servers/nginx-1.4.2-r1:0::gentoo': ... ID 'www-servers/nginx-1.4.2-r1:0::gentoo' has no flag named 'nginx_modules_http_security'

cave@1380622548: [WARNING elike_conditional_dep_spec.query] (same context) ID 'www-servers/nginx-1.4.2-r1:0::gentoo' has no flag named 'nginx_modules_http_push_stream'

Change History

comment:1 Changed 5 years ago by dleverton

  • Status changed from new to closed
  • Resolution set to fixed

0ccc913

Note: See TracTickets for help on using tickets.